/*

	Programma che genera i numeri (vincenti) del Lotto e SuperEnalotto

   mediante procedura RANDOM con esclusione di ripetizioni

/*

	Parte preprocessore

	In questa fase individuiamo quali librerie includere per il funzionamento del
   programma

*/

#include <stdlib.h>
#include <iostream.h>
#include <time.h>
#include <conio.h>


// Inizio programma principale

main()
{


   // Impostazioni delle variabili

	int a=0,b=0,c=0,d=0,e=0,f=0;
	int n=0;
	char ripeti;
	time_t t;
	srand((unsigned) time(&t));


	// Etichetta richiamo con procedura di pulizia dello schermo

	eti1:clrscr();
   cout << "Generatore di numeri casuali per Lotto e SuperEnalotto";             //Stampa a video del nome del programma e dei Copyright
	cout << "\n\n\n";


   // Immissioni dati

	cout << "\nQuanti numeri vuoi ? "; cin>>n;
	cout<<"\n";


   // Controllo dell'immissione dei dati

	if (n==0 || n<1 || n>6)
	{
		cout<<"\nIl valore inserito non  compreso tra 1 e 6";
		cout << "\n\nPremere un tasto qualsiasi per continuare.";
		getch();
		goto eti1;
	}


   // Calcolo delle sei variabili dei sei numeri del Super Enalotto, da cui si
   // possono estrarre i cinque numeri della cinquina del Lotto.
   //
   // Ogni variabile ha il controllo sulle altre in modo da non avere due o pi
   // numeri uguali.

	e1:a = rand() % 91;
	if (a==0) goto e1;

	e2:b = rand() % 91;
	if (b==0) goto e2;
	if (a==b) goto e2;


	e3:c = rand() % 91;
	if (c==0) goto e3;
	if (a==c || b==c) goto e3;

	e4:d = rand() % 91;
	if (d==0) goto e4;
	if (a==d || b==d || c==d) goto e4;

	e5:e = rand() % 91;
	if (e==0) goto e5;
	if (a==b || b==e || c==e || d==e) goto e5;

	e6:f = rand() % 91;
	if (f==0) goto e6;
	if (a==f || b==f || c==f || d==f || e==f) goto e6;

	cout<<"\n\n";


   // Verifica del valore dell'input e stampa dei numeri estratti

	if (n==1)
	{
		cout<<"\t\t\t\t   "<<a;
	}

	if (n==2)
	{
		cout<<"\t\t\t\t"<<a<<"\t"<<b;
	}

	if (n==3)
	{
		cout<<"\t\t\t"<<a<<"\t"<<b<<"\t"<<c;
	}

	if (n==4)
	{
		cout<<"\t\t\t"<<a<<"\t"<<b<<"\t"<<c<<"\t"<<d;
	}

	if (n==5)
	{
		cout<<"\t\t\t"<<a<<"\t"<<b<<"\t"<<c<<"\t"<<d<<"\t"<<e;
	}

	if (n==6)
	{
		cout<<"\t\t"<<a<<"\t"<<b<<"\t"<<c<<"\t"<<d<<"\t"<<e<<"\t"<<f;
	}


	// Procedura standard di richiesta di ripetere il programma

	cout<<"\n\nVuoi eseguire un altro calcolo (S/N)? "; cin>>ripeti;


   // Condizioni della richeista

	if (ripeti == 's') goto eti1;
	if (ripeti == 'S') goto eti1;


   // Messaggio di chiusura del programma in finestra Windows

	cout << "\n\nPremere un tasto qualsiasi per terminare il programma.";


   // Blocco schermo in modo da leggerlo

	getch();

	return 0;

}
