/*

	Metodo per calcolare le equazioni di secondo grado

*/

/*

	Parte preprocessore

	In questa fase individuiamo quali librerie includere per il funzionamento del
   programma

*/

#include <iostream.h>
#include <math.h>
#include <conio.h>


// Inizio programma principale

main()
{


   // Definizioni delle variabili

	char giusto,ripeti;
	float a = 0,b = 0,c = 0;
	float det,k;
	float x1 = 0,x2 = 0;
	typedef struct			// Uso di typedef struct per la composizione del tipo
   							// strutturato delle radici complesse
   {
		float Reale;
		float Immag;
	} complesso;

	complesso c1,c2;


   // Etichetta richiamo con procedura di pulizia dello schermo

	eti1:clrscr();


   // Stampa a video del nome del programma e dei Copyright

	cout << "Risolutore di equazioni di secondo grado: ax + bx + c = 0.";
	cout << "\n\n\n";


   // Immissione dati

	cout<<"\nInserire i coefficienti:\n";

	cout<<"\n\na = ";cin>> a;
	cout<<"b = ";cin>> b;
	cout<<"c = ";cin>> c;


   // Controllo dei valori

   if (a!=0 && b!=0 && c!=0) goto eti20;
	if (a==0 && b!=0 && c!=0) goto eti22;
	if (a==0 && b==0 && c==0) goto eti22;

	eti22:cout<< "\n\nQuesta non  un'equazione di secondo\nPrego reinserire i dati!";
	cout << "\n\nPremere un tasto qualsiasi per continuare.";


   // Blocco schermo in modo da leggerlo

	getch();


   // Ritorno alla schermata iniziale

	goto eti1;


   // Richiesta di esattezza dei dati

	eti20:cout<<"\n\n\nI dati sono corretti (S/N)? ";cin >> giusto;
	if (giusto == 's' || giusto == 'S') goto eti2;
	if (giusto == 'n' || giusto == 'N') goto eti1;


   // Composizione dell'equazione secondo i formalismi matematici

	eti2:clrscr();
	if (a == 1) cout<<"L'equazione : x ";
	if (a == -1) cout<<"L'equazione : -x ";
	if (fabs (a) != 1) cout<<"L'equazione : "<<a <<"x ";
	if (b == 1) goto Labb1;
	if (b == -1) goto Labb2;
	if (b > 0) goto Labb3;
	if (b < 0) goto Labb4;
	Labb1:cout<<"+ x "; goto Labc;
	Labb2:cout<<"- x "; goto Labc;
	Labb3:cout<<"+ " << b <<"x "; goto Labc;
	Labb4:cout << "- " << fabs (b) << "x "; goto Labc;
	Labc:
	if (c > 0) cout << "+ " << c << " = 0.";
	if (c < 0) cout << "- " << fabs (c) << " = 0.";


   // Stampa del determinante secondo formalismi matematici

	cout << "\n\nCalcolo del determinante: ";
	if (b > 0) cout << b << " - 4";
	if (b < 0) cout << "(" << b << ") - 4";
	if (a > 0) cout << " * " << a;
	if (a < 0) cout << "(" << a << ") ";
	if (c > 0) cout << " * " << c << " ";
	if (c < 0) cout << "(" << c << ") ";


   // Calcolo del determinante

	det = (b*b)-4*a*c;


   // Verifica dei determinanti e relativo calcolo del risultato
   //
   // Determinante < 0

	if (det < 0)
   {


   	// stampa del determinante

		cout<<"= " << det <<" < 0,";
		cout<<"\nquindi ci sono due radici complesse e coniugate.";


      // Calcolo delle redici reali ed immaginarie
		c1 . Reale = (-b/2*a);
		c1 . Immag = (sqrt(-det)/2*a);
		c2 . Reale = (-b/2*a);
		c2 . Immag = (-sqrt(-det)/2*a);


      // Stampa delle radici reali ed immaginarie

		cout<<"\n\nc1 = ("<<c1 . Reale <<" + i "<<c1 . Immag <<"),";
		cout<<"\nc2 = ("<<c2 . Reale <<" - i "<<fabs(c2 . Immag) <<").";


      // Calcolo delle radici complesse

		complesso z1,z2;
		float ro;
		ro = sqrt((c1 . Reale*c1 . Reale)+(c1 . Immag*c1 . Immag));
		z1 . Reale = (acos(c1 . Reale/ro));
		z1 . Immag = (asin(c1 . Immag/ro));
		z2 . Reale = (acos(c2 . Reale/ro));
		z2 . Immag = (asin(c2 . Immag/ro));


      // Stampa in forma trigonometrica delle soluzioni complesse

		cout<<"\n\nLe soluzioni si possono esprimere in forma trigonometrica:";
		cout<<"\n\nz1 = cos("<<z1 . Reale <<") + i sen("<<z1 . Immag <<"),";
		cout<<"\nz2 = cos("<<z2 . Reale <<") - i sen("<<fabs(z2 . Immag) <<").";


      // Vai alla procedura standard di richiesta di ripetere il programma

      goto eti12;
   }


   // Verifica dei determinanti e relativo calcolo del risultato
   //
   // Determinante = 0

	if (det == 0)
   {


		// Stampa del determinante

		cout<<"= " << det;
		cout<<"\nquindi ci sono due radici reali e uguali.";


      // Calcolo della radice

      x1 = (-b/2*a);


      // Stampa della radice

		cout<<"\n\nx1 = "<<x1 <<".";


      // Vai alla procedura standard di richiesta di ripetere il programma

      goto eti12;
	}


	// Verifica dei determinanti e relativo calcolo del risultato
   //
   // Determinante > 0

	if (det > 0)
   {


      // Stampa del determinante

		cout<<"= " << det <<" > 0,";
		cout<<"\nquindi ci sono 2 radici reali e distinte.";


      // Calcolo della radice del determinante e verifica delle condizioni

		k=sqrt(det);
		if (k != int (k)) goto eti10;
		if (k == int (k)) goto eti11;


      // Stampa dei risultati con il valore determinante intero

		eti11:;
      x1 = ((-b-k)/2*a);
		x2 = ((-b+k)/2*a);
		cout<<"\n\nx1 = "<<x1 <<",";
		cout<<"\nx2 = "<<x2 <<".";


      // Vai alla procedura standard di richiesta di ripetere il programma

      goto eti12;


      // Stampa dei risultati con il valore determinante diverso da intero

		eti10:;


      // Controllo del segno di b

		if (b > 0) goto Labbmx12;
		if (b < 0) goto Labbmax12;


      // Segno di b positivo

		Labbmx12:cout << "\n\nx1,2 = (- " << b <<"  SQR("<<det<<"))/"<<2*a;
      cout << "\n\n\n x1 = (- "  << b <<" - SQR("<<det<<"))/"<<2*a;
		cout<<"\tx1 = "<<x1;
		cout << "\n\n x2 = (- "  << b <<" + SQR("<<det<<"))/"<<2*a;
		cout<<"\tx2 = "<<x2 <<".";


		// Vai alla procedura standard di richiesta di ripetere il programma

      goto eti12;


      // Segno di b negativo

		Labbmax12:cout << "\n\nx1,2 = ( " << fabs(b) <<"  SQR("<<det<<"))/"<<2*a;
		cout << "\n\n\n x1 = ( "  << fabs(b) <<" - SQR("<<det<<"))/"<<2*a;
		cout<<"\tx1 = "<<x1;
		cout << "\n\n x2 = ( "  << fabs(b) <<" + SQR("<<det<<"))/"<<2*a;
		cout<<"\tx2 = "<<x2 <<".";


		// Procedura standard di richiesta di ripetere il programma

		eti12:cout<<"\n\nVuoi eseguire un'altra serie di equazioni (S/N)?"; cin>>ripeti;


	   // Condizioni della richeista

		if (ripeti == 's') goto eti1;
		if (ripeti == 'S') goto eti1;


	   // Messaggio di chiusura del programma in finestra Windows

		cout << "\n\nPremere un tasto qualsiasi per terminare il programma.";


   	// Blocco schermo in modo da leggerlo

		getch();
	}
}