/*
		Metodo di ordinamento per Selection Sort

*/


#include <iostream.h>
#include <conio.h>

const int MAX=10;  // Dimensione massima del vettore
int a[MAX];			 // Vettore oggetto dell'ordinamneto
int n;				 // Dimensione effettiva del vettore

void Inserisci(void);  // Gestisce l'inserimento degli elementi del vettore
  							  // da parte dell'utente

int Minimo(int x, int y);		// Restituisce la posizione del minimo nella
										//	sottolista a[x]...a[y]

void Scambia(int x, int y);   // Scambia di posizione gli elementi di indice
										//	x ed y

void Inserisci(void)
{
   int i;

   cout<<"Metodo di ordinamento del Selection Sort\n\n\n";

	do
   {
   	cout<<"Di quanti elementi  formato il vettore (MIN 1, MAX 10)? ";
      cin>>n;						// La variabile globale n viene aggornata
   }
   while ((n>10) || (n<=0));  // Controlla che l'utente inserisca un valore
   									// di n ccompreso tra 1 e 10
   cout <<"\n\n\n";
	for (i=0; i<=n-1; i++)
   {
   	cout<<"\nInserisci l'elemento n "<<i+1<<": ";
      cin>>a[i];
   }
}

int Minimo(int x, int y)
{
	int Imin=x;      // Posizione del minimo nella sottolista
   int i;

   for (i=x+1; i<=y; i++)
   	if (a[Imin]>a[i])  // Aggiorna la posizione del minimo
      	Imin=i;

   return Imin;
}


void Scambia(int x, int y)
{
	int temp=a[x];   // Variabile d'aiuto

   a[x]=a[y];
   a[y]=temp;
}


/* OProgramma principale */

void main(void)
{
   int i,j;

	clrscr();

   Inserisci();

   for(j=0; j<=n-1; j++)   // Ciclo di ordinamento per selezione
   	Scambia(j, Minimo(j,n-1));

   cout<< "\n\nIl vettore ordinato e'\n\n";
	for (i=0; i<=n-1; i++)    // Visualizzazione vettore risultante
	   cout<<a[i]<<" ";

	cout<< "\n\n\nPress any key to end this program";
   getch();
}
